import { TEMPLATE_DESCRIPTION } from "../common/_module.mjs";
import { HTMLSTRING, STRING } from "../common/field-types.mjs";

const fields = foundry.data.fields;

export default class RdDModelRecetteAlchimique extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    return Object.assign({},
      TEMPLATE_DESCRIPTION.fields(),
      {
        but: new fields.StringField({ label: "But", initial: "", ...STRING }),
        utilisation: new fields.HTMLField({ label: "Utilisation", ...HTMLSTRING }),
        enchantement: new fields.HTMLField({ label: "Enchantement", ...HTMLSTRING }),
        sureffet: new fields.HTMLField({ label: "Sur-effet", ...HTMLSTRING }),
        manipulation: new fields.HTMLField({ label: "Manipulation", ...HTMLSTRING }),
        ingredients: new fields.StringField({ label: "Ingrédients", initial: "[]", ...STRING }),
        resultat: new fields.StringField({ label: "Résultat", initial: "{}", ...STRING }),
      }
    );
  }
}
